#pragma once 
#define HLSBAPI __stdcall 

#define HLS_SUCCESS				0
#define HLS_ERR_DEVICENOTEXIST	1
#define HLS_ERR_ALREADYOPENED	2
#define HLS_ERR_CLOSED			3
#define HLS_ERR_INVALIDPARAM	4
#define HLS_ERR_NORESOUCE		5
#define HLS_ERR_FAILED			6
#define HLS_NOTCALLYET			99

#ifdef __cplusplus 
extern "C" {
#endif
    UINT   HLSBAPI HlsGetVersion(void);
    UINT   HLSBAPI HlsGetLastError(void);
    INT    HLSBAPI HlsCountDevice(void);
    HANDLE HLSBAPI HlsOpenHandle(int Instance);
    BOOL   HLSBAPI HlsCloseHandle(HANDLE HLSBHandle);
    BOOL   HLSBAPI HlsReadByte(HANDLE HLSBHandle, ULONG Adr, BYTE* Dat);
    BOOL   HLSBAPI HlsReadWord(HANDLE HLSBHandle, ULONG Adr, WORD* Dat);
    BOOL   HLSBAPI HlsReadDWord(HANDLE HLSBHandle, ULONG Adr, DWORD* Dat);
    BOOL   HLSBAPI HlsWriteByte(HANDLE HLSBHandle, ULONG Adr, BYTE Dat);
    BOOL   HLSBAPI HlsWriteWord(HANDLE HLSBHandle, ULONG Adr, WORD Dat);
    BOOL   HLSBAPI HlsWriteDWord(HANDLE HLSBHandle, ULONG Adr, DWORD Dat);
    BOOL   HLSBAPI HlsResetBoard(HANDLE HLSBHandle);
    INT    HLSBAPI HlsBoardID(HANDLE HLSBHandle);
    BOOL   HLSBAPI HlsGetInterrupt0Count(HANDLE HLSBHandle, BYTE *int0Count);
    BOOL   HLSBAPI HlsGetInterrupt1Count(HANDLE HLSBHandle, BYTE *int1Count);
    BOOL   HLSBAPI HlsClearInterrupt0Count(HANDLE HLSBHandle);
    BOOL   HLSBAPI HlsClearInterrupt1Count(HANDLE HLSBHandle);
    BOOL   HLSBAPI HlsGetInterrupt0StatusInfo(HANDLE HLSBHandle, BYTE *int0Info);
    BOOL   HLSBAPI HlsGetInterrupt1StatusInfo(HANDLE HLSBHandle, BYTE *int1Info);
	BOOL   HLSBAPI HlsClearInterrupt0StatusInfo(HANDLE HLSBHandle, BYTE int0Info);
	BOOL   HLSBAPI HlsClearInterrupt1StatusInfo(HANDLE HLSBHandle, BYTE int1Info);
	BOOL   HLSBAPI HlsSearchBoard(BYTE *board_num, BYTE *board_id_list);
#ifdef __cplusplus
}
#endif
